﻿Type=Service
Version=2.45
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	Private dd As Daydream
	Private lastUrl As String
End Sub
Sub Service_Create
	lastUrl = "http://www.google.com"
	If File.Exists(File.DirInternal, "setting.txt") Then
		lastUrl = File.ReadString(File.DirInternal, "setting.txt")
	End If
End Sub

Sub Service_Start (StartingIntent As Intent)
	dd.Initialize("dd")
End Sub

Sub dd_SizeChanged
	Dim wv As WebView
	wv.Initialize("wv")
	dd.Panel.AddView(wv, 0dip, 50dip, dd.Panel.Width, dd.Panel.Height - 50dip)
	Dim et As EditText
	et.Initialize("et")
	et.Text = lastUrl
	et.SingleLine = True
	et.ForceDoneButton = True
	wv.LoadUrl(et.Text)
	dd.Panel.AddView(et, 0dip, 0dip, dd.Panel.Width, 50dip)
End Sub

Sub et_EnterPressed
	Dim wv As WebView = dd.Panel.GetView(0) 'WebView was the first view that was added
	Dim et As EditText = dd.Panel.GetView(1)
	wv.LoadUrl(et.Text)
	lastUrl = et.Text
End Sub

Sub dd_dreamstarted
	dd.Interactive = True
End Sub

Sub dd_DreamStopped
	File.WriteString(File.DirInternal, "setting.txt", lastUrl)
End Sub

Sub Service_Destroy

End Sub
